These endpoints are for sandbox only. They won’t work in production.
Simulate an ATM withdrawal authorisation
POST
/v2/simulations/atm/withdrawal/authorizationRequest
Use this request to simulate an ATM withdrawal authorisation.Request body schema
The ID of the card to work with.Allowable values: An existing
cardId (≤ 36 characters)The amount of the transaction.Allowable values: A valid number (
>= 0)Details about the card acceptor.Allowable values: A valid
cardAcceptor object containing the following field: midResponse
If your request is successful, you’ll receive a201 response.
Simulate an ATM withdrawal authorisation clearing
POST
/v2/simulations/atm/withdrawal/authorization/clearingRequest
Use this request to simulate an ATM withdrawal authorisation clearing.Request body schema
The token of the transaction to work with. This is the
token received in the response to the authorisation request.Allowable values: A valid stringThe authorisation clearing amount.Allowable values: A valid number (
>= 0)Response
If your request is successful, you’ll receive a201 response.